Package com.emc.d2fs.models.annotations

# Class CSRAnnotationDetails

java.lang.Object
com.emc.d2fs.models.annotations.CSRAnnotationDetails

All Implemented Interfaces:
  `Serializable`

public class CSRAnnotationDetails extends Object implements Serializable

Java class for CSRAnnotationDetails complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CSRAnnotationDetails">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="creationtime" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="guid" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSRAnnotationDetails()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreationtime()`
  Gets the value of the creationtime property.
  `String`
  `getGuid()`
  Gets the value of the guid property.
  `String`
  `getTime()`
  Gets the value of the time property.
  `void`
  `setCreationtime(String value)`
  Sets the value of the creationtime property.
  `void`
  `setGuid(String value)`
  Sets the value of the guid property.
  `void`
  `setTime(String value)`
  Sets the value of the time property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CSRAnnotationDetails

    public CSRAnnotationDetails()

- ## Method Details

  - ### getCreationtime

    public String getCreationtime()
    Gets the value of the creationtime property.
    Returns:
      possible object is `String`

  - ### setCreationtime

    public void setCreationtime(String value)
    Sets the value of the creationtime property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTime

    public String getTime()
    Gets the value of the time property.
    Returns:
      possible object is `String`

  - ### setTime

    public void setTime(String value)
    Sets the value of the time property.
    Parameters:
      `value` - allowed object is `String`

  - ### getGuid

    public String getGuid()
    Gets the value of the guid property.
    Returns:
      possible object is `String`

  - ### setGuid

    public void setGuid(String value)
    Sets the value of the guid property.
    Parameters:
      `value` - allowed object is `String`